-- New ON_FAILURE option (as opposed to CONTINUE or SHUTDOWN
CREATE SERVER AUDIT RobustAudit
    TO FILE ( FILEPATH ='C:\temp\' )
	WITH (ON_FAILURE = FAIL_OPERATION)
GO

CREATE SERVER AUDIT FailsAfterMax
    TO FILE ( FILEPATH ='C:\temp\', MAX_FILES = 5)
GO

DROP SERVER AUDIT RobustAudit;
DROP SERVER AUDIT FailsAfterMax;
GO